# Get Unread Count

This API returns an integer representing the number unread messages by the user.

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
let messageCount = Replies.unreadRepliesCount
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
NSUInteger messageCount = LCQReplies.unreadRepliesCount;
```

{% endtab %}

{% tab title="And - Java" %}

```java
Replies.getUnreadRepliesCount();
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
Replies.getUnreadRepliesCount()
```

{% endtab %}

{% tab title="RN" %}

```javascript
Replies.getUnreadMessagesCount((count) => {
  Alert.alert("UnReadMessages", "Messages: " + count);
});
```

{% endtab %}

{% tab title="Flutter" %}

```dart
final count = Replies.getUnreadRepliesCount();
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/references/in-app-replies/get-unread-count.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
